/// <reference types="react" />
import { EIconName } from '../consts/icons';
import { ESize } from '../consts/properties';
export declare type TThingCard = {
    upperLeftIcon?: EIconName;
    upperLeftText?: string;
    upperRightElement?: JSX.Element;
    centerElement: JSX.Element;
    nftTypeIcon?: EIconName;
    extraMidLeftElement?: JSX.Element;
    midLeftText: string;
    midRightText: string;
    botLeftImage?: JSX.Element;
    botRightText?: string;
    botRightIcon?: EIconName;
    onUpperLeftClick?: (e?: React.MouseEvent<HTMLElement>) => void;
    onCenterElementClick?: (e?: React.MouseEvent<HTMLElement>) => void;
    onBotLeftImageClick?: (e?: React.MouseEvent<HTMLElement>) => void;
};
export declare type TSmallCard = {
    centerElement: JSX.Element;
    title: string;
    subtitle?: string;
    onCardClick?: (e?: React.MouseEvent<HTMLElement>) => void;
};
export declare type TInfoCard = {
    loading?: boolean;
    title: string;
    titleIcon?: JSX.Element;
    description?: string;
    upperIcon?: JSX.Element;
    descriptionIcon?: EIconName;
    descriptionImage?: string;
    lowerLeftText?: string;
    isBigDescription?: boolean;
    isNumber?: boolean;
    size?: ESize;
    isLink?: boolean;
    handleDescriptionClick?: (e?: React.MouseEvent<HTMLElement>) => void;
};
